Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.entity.pillar
Class PillarSelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.entity.pillar.PillarSelectorConfig

    public class PillarSelectorConfig

extends SelectorConfig

Field Summary
`protected EntitySelectorConfig` | `entitySelectorConfig`

Constructor Summary
`PillarSelectorConfig()`

Method Summary
`PillarSelector` | `buildPillarSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`EntitySelectorConfig` | `getEntitySelectorConfig()`
`void` | `inherit(PillarSelectorConfig inheritedConfig)`
`void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entitySelectorConfig

    protected EntitySelectorConfig entitySelectorConfig

Constructor Detail

### PillarSelectorConfig

    public PillarSelectorConfig()

Method Detail

### getEntitySelectorConfig

    public EntitySelectorConfig getEntitySelectorConfig()

### setEntitySelectorConfig

    public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

### buildPillarSelector

    public PillarSelector buildPillarSelector(HeuristicConfigPolicy configPolicy,
                                              SelectionCacheType minimumCacheType,
                                              SelectionOrder inheritedSelectionOrder)

  Parameters:
    `configPolicy` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### inherit

    public void inherit(PillarSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.